package org.jeecg.modules.stm.problem.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.stm.problem.entity.StProblem;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.stm.problem.entity.StProblemCa;
import org.jeecg.modules.stm.problem.vo.StProblemVo;

import java.util.Map;

/**
 * @Description: st_problem
 * @Author: yzh
 * @Date:   2023-03-04
 * @Version: V1.0
 */
public interface IStProblemService extends IService<StProblem> {

    IPage<StProblem> defPage(StProblem stProblem, Integer pageNo, Integer pageSize, Map<String, String[]> parameterMap);

    void deletecompliane(String id);

    void insertProblemCa(StProblemCa stProblemCa);
    void deleteProblemCa(StProblemCa stProblemCa);

    IPage<StProblem> queryPageListByProjectId(StProblem stProblem, Integer projectCreId, Integer pageNo, Integer pageSize, Map<String, String[]> parameterMap);

    IPage<StProblemVo> queryProblemWithPage(Page<StProblem> page, StProblemVo stProblemVo,Map<String, String[]> parameterMap);
}
